Loading...
Searching...
No Matches
BALL::VIEW::ColorByGridProcessor Class Reference

`#include <BALL/VIEW/MODELS/colorByGridProcessor.h>`

Inheritance diagram for BALL::VIEW::ColorByGridProcessor:

## Public Member Functions

| ColorByGridProcessor (const RegularData3D *grid, const GridColorWidget *widget=0)
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&object)
void | setNormalizationEnabled (bool enabled)
void | setColors (const ColorRGBA &min_min, const ColorRGBA &min, const ColorRGBA &mid, const ColorRGBA &max, const ColorRGBA &max_max)
void | setBreakpoints (float min_value, float mid_value, float max_value)
void | setNumLevels (int num_levels)
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
Size | getTransparency () const
virtual void | setTransparency (Size value)
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual Processor::Result | operator() (GeometricObject *&)

## Protected Attributes

vector< float > | values_
list< GeometricObject * > | objects_
float | min_value_
float | mid_value_
float | max_value_
bool | normalization_enabled_
ColorRGBA | min_min_color_
ColorRGBA | min_color_
ColorRGBA | mid_color_
ColorRGBA | max_color_
ColorRGBA | max_max_color_
ColorMap | cm_
const RegularData3D * | grid_
int | num_levels_
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Additional Inherited Members

Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer
Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)
virtual bool | canUseMeshShortcut_ (const Composite &)

## Detailed Description

Definition at line 15 of file colorByGridProcessor.h.

## Constructor & Destructor Documentation

## ColorByGridProcessor()

BALL::VIEW::ColorByGridProcessor::ColorByGridProcessor | ( | const RegularData3D * | grid,
|  | const GridColorWidget * | widget = 0 )

## Member Function Documentation

## finish()

virtual bool BALL::VIEW::ColorByGridProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< GeometricObject * >.

## operator()()

virtual Processor::Result BALL::VIEW::ColorByGridProcessor::operator() | ( | GeometricObject *& | object | ) |

virtual

Calculate a color for a GeometricObject.

Reimplemented from BALL::VIEW::ColorProcessor.

## setBreakpoints()

void BALL::VIEW::ColorByGridProcessor::setBreakpoints | ( | float | min_value,
|  | float | mid_value,
|  | float | max_value )

## setColors()

void BALL::VIEW::ColorByGridProcessor::setColors | ( | const ColorRGBA & | min_min,
|  | const ColorRGBA & | min,
|  | const ColorRGBA & | mid,
|  | const ColorRGBA & | max,
|  | const ColorRGBA & | max_max )

## setNormalizationEnabled()

void BALL::VIEW::ColorByGridProcessor::setNormalizationEnabled | ( | bool | enabled | ) |

## setNumLevels()

void BALL::VIEW::ColorByGridProcessor::setNumLevels | ( | int | num_levels | ) |

## start()

virtual bool BALL::VIEW::ColorByGridProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::VIEW::ColorProcessor.

## Member Data Documentation

## cm_

ColorMap BALL::VIEW::ColorByGridProcessor::cm_

protected

Definition at line 49 of file colorByGridProcessor.h.

## grid_

const RegularData3D* BALL::VIEW::ColorByGridProcessor::grid_

protected

Definition at line 50 of file colorByGridProcessor.h.

## max_color_

ColorRGBA BALL::VIEW::ColorByGridProcessor::max_color_

protected

Definition at line 46 of file colorByGridProcessor.h.

## max_max_color_

ColorRGBA BALL::VIEW::ColorByGridProcessor::max_max_color_

protected

Definition at line 47 of file colorByGridProcessor.h.

## max_value_

float BALL::VIEW::ColorByGridProcessor::max_value_

protected

Definition at line 39 of file colorByGridProcessor.h.

## mid_color_

ColorRGBA BALL::VIEW::ColorByGridProcessor::mid_color_

protected

Definition at line 45 of file colorByGridProcessor.h.

## mid_value_

float BALL::VIEW::ColorByGridProcessor::mid_value_

protected

Definition at line 38 of file colorByGridProcessor.h.

## min_color_

ColorRGBA BALL::VIEW::ColorByGridProcessor::min_color_

protected

Definition at line 44 of file colorByGridProcessor.h.

## min_min_color_

ColorRGBA BALL::VIEW::ColorByGridProcessor::min_min_color_

protected

Definition at line 43 of file colorByGridProcessor.h.

## min_value_

float BALL::VIEW::ColorByGridProcessor::min_value_

protected

Definition at line 37 of file colorByGridProcessor.h.

## normalization_enabled_

bool BALL::VIEW::ColorByGridProcessor::normalization_enabled_

protected

Definition at line 41 of file colorByGridProcessor.h.

## num_levels_

int BALL::VIEW::ColorByGridProcessor::num_levels_

protected

Definition at line 51 of file colorByGridProcessor.h.

## objects_

list<GeometricObject*> BALL::VIEW::ColorByGridProcessor::objects_

protected

Definition at line 35 of file colorByGridProcessor.h.

## values_

vector<float> BALL::VIEW::ColorByGridProcessor::values_

protected

Definition at line 34 of file colorByGridProcessor.h.